Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Address

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Address

Enclosing class:
  TdApi

public static final class TdApi.Address extends TdApi.Object
Describes an address.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`city`
City.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`countryCode`
A two-letter ISO 3166-1 alpha-2 country code.
`String`
`postalCode`
Address postal code.
`String`
`state`
State, if applicable.
`String`
`streetLine1`
First line of the address.
`String`
`streetLine2`
Second line of the address.

## Constructor Summary

Constructors
Constructor
Description
`Address()`
Describes an address.
`Address(DataInput input)`
Describes an address.
`Address(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)`
Describes an address.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### state

public String state
State, if applicable.

### city

public String city
City.

### streetLine1

public String streetLine1
First line of the address.

### streetLine2

public String streetLine2
Second line of the address.

### postalCode

public String postalCode
Address postal code.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Address

public Address()
Describes an address.

### Address

public Address(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)
Describes an address.

Parameters:
  `countryCode` - A two-letter ISO 3166-1 alpha-2 country code.
  `state` - State, if applicable.
  `city` - City.
  `streetLine1` - First line of the address.
  `streetLine2` - Second line of the address.
  `postalCode` - Address postal code.

### Address

public Address(DataInput input) throws IOException
Describes an address.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`